API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class ClosableTabBar

Package | ch.unil.cbg.ExpressionView.view.components
Class | public class ClosableTabBar
Inheritance | ClosableTabBar mx.controls.TabBar

Public Properties

| Property | Defined by
--- | --- | ---
|  | enableClose : Array [write-only] | ClosableTabBar

Public Methods

| Method | Defined by
--- | --- | ---
|  | ClosableTabBar() | ClosableTabBar

Protected Methods

| Method | Defined by
--- | --- | ---
|  | createChildren():void | ClosableTabBar
|  | createNavItem(label:String, icon:Class = null):IFlexDisplayObject | ClosableTabBar

Property detail

enableClose | property

`enableClose:Array` [write-only]Implementation
`public function set enableClose(value:Array):void`
Constructor detail

ClosableTabBar | () | constructor

`public function ClosableTabBar()`
Method detail

createChildren | () | method

`protected override function createChildren():void`

createNavItem | () | method |

`protected override function createNavItem(label:String, icon:Class = null):IFlexDisplayObject` Parameters

| `label:String`
| `icon:Class` (default = `null`)``

Returns

| `IFlexDisplayObject`